%global pypi_name sphinxcontrib-httpdomain

Name:           python-%{pypi_name}
Version:        1.8.1
Release:        %mkrel 3
Group:          Development/Python
Summary:        Sphinx domain for HTTP APIs
License:        MIT
URL:            https://pypi.org/project/sphinxcontrib-httpdomain/
Source0:        https://pypi.io/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Sphinx domain for HTTP APIs.

%package -n python3-%{pypi_name}
Summary:        Sphinx domain for HTTP APIs
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
Sphinx domain for HTTP APIs.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinxcontrib

#we don't need this
rm -rf %{buildroot}%{python3_sitelib}/sphinxcontrib_httpdomain-%{version}-py%{python3_version}-nspkg.pth

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.8.1-3.mga10
+ Revision: 2241442
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.8.1-2.mga10
+ Revision: 2158741
- rebuild for python3.13

* Fri Dec 20 2024 daviddavid <daviddavid> 1.8.1-1.mga10
+ Revision: 2126642
- new version: 1.8.1
- switch to pyproject

* Thu Dec 07 2023 wally <wally> 1.8.0-3.mga10
+ Revision: 2015092
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.8.0-2.mga9
+ Revision: 1823287
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 1.8.0-1.mga9
+ Revision: 1782412
- version 1.8.0
- rebuild for python-3.10

* Sun Mar 14 2021 wally <wally> 1.7.0-5.mga9
+ Revision: 1702705
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.7.0-4.mga8
+ Revision: 1532480
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 1.7.0-3.mga8
+ Revision: 1442357
- rebuild for python3.8

* Sun Aug 04 2019 wally <wally> 1.7.0-2.mga8
+ Revision: 1427238
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 1.7.0-1.mga7
+ Revision: 1354429
- New version

* Thu Sep 20 2018 umeabot <umeabot> 1.4.0-3.mga7
+ Revision: 1290216
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.4.0-2.mga7
+ Revision: 1135649
- Rebuild for python 3.6

* Wed Dec 16 2015 daviddavid <daviddavid> 1.4.0-1.mga6
+ Revision: 911032
- new version: 1.4.0
- use new python macros
- enable python 3 package

* Sat Oct 10 2015 tv <tv> 1.1.9-8.mga6
+ Revision: 889065
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.1.9-7.mga5
+ Revision: 744148
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.9-6.mga5
+ Revision: 729810
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.9-5.mga5
+ Revision: 688347
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1.9-3.mga4
+ Revision: 544217
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1.9-2.mga4
+ Revision: 499421
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 10 2013 neoclust <neoclust> 1.1.9-1.mga4
+ Revision: 494843
- imported package python-sphinxcontrib-httpdomain

